Bug 116489 - Network card is disabled during bootup in a HP DL380
Network card is disabled during bootup in a HP DL380
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kudzu (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Depends On:
  Show dependency treegraph
Reported: 2004-02-21 13:05 EST by David J Craigon
Modified: 2014-03-16 22:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-23 10:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David J Craigon 2004-02-21 13:05:13 EST
We've got a Compaq DL380, running RHEL 3.0 fully updated. We use
runlevel 3.

Although this computer has two network cards, we have are only using
network card 1 (eth0). When we boot it, the computer does not pick up
an IP address. However, once booted, you can successfully ifup eth0.

I have tracked this down to to the following. During bootup, the
network card is available until kudzu is run in rc3.d. After S05kudzu,
the network card disappears! ifconfig etc. show no knowledge of its

After S10network, the network card cannot pick up an IP address
because eth0 doesn't exist! However a few seconds after running
S10network, it reappears. Thus we can then start networking manually
using ifup.

This behaviour is also exhibited in Fedora Core 1. It also occurs if
you abandon all scripts from runlevel 3 (by choosing interactive
startup, and choosing no to all options), then running kudzu by hand.

Subsequent runnings of kudzu do not disable networking.
Comment 1 Bill Nottingham 2004-02-22 00:49:00 EST
What sort of network card?
Comment 2 David J Craigon 2004-02-22 10:44:01 EST
This is a stock DL380G3, which according to the HP website 
has 2 NC7781 10/100/1000 NICs. Both NICs display the same behaviour 
as in this bug.

I'll try and find out what driver this card uses.

Comment 3 David J Craigon 2004-02-23 04:53:55 EST
A quick correction- before Kudzu, the network card does not exist either.

Kudzu does disable it somehow though- the network light on the front
of the computer goes out.
Comment 4 David J Craigon 2004-02-23 10:23:51 EST
Turns out this bug has nothing to do with Kudzu whatsoever (sorry for
wasting your time)

Instead see bug #116586.

Note You need to log in before you can comment on or make changes to this bug.